Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::INonLinearHistogram Class Reference
CaptureMetadata | Ext::NonLinearHistogram

Interface used to query the metadata to correctly interpret the compressed histogram data. More...

`#include <NonLinearHistogram.h>`

Inheritance diagram for Argus::Ext::INonLinearHistogram:

List of all members.

## Public Member Functions
virtual Status | getHistogramBinValues (std::vector< BayerTuple< float > > *binValues) const =0
| Returns the average bayer values of bins for bayer histogram data.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~INonLinearHistogram ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to query the metadata to correctly interpret the compressed histogram data.

Returns the normalized bin values to correctly interpret the compressed bayer histogram data. This interface will only be exposed in case the histogram is compressed.

This interface is available from:

- Histogram child objects returned by ICaptureMetadata::getBayerHistogram()

Definition at line 74 of file NonLinearHistogram.h.

## Constructor & Destructor Documentation

Argus::Ext::INonLinearHistogram::~INonLinearHistogram | ( |  | ) |
| inline protected

Definition at line 105 of file NonLinearHistogram.h.

## Member Function Documentation

virtual Status Argus::Ext::INonLinearHistogram::getHistogramBinValues | ( | std::vector< BayerTuple< float > > * | binValues | ) | const
| pure virtual

Returns the average bayer values of bins for bayer histogram data.

Parameters:

  [out] | binValues | Returns the normalized average bin values (float in [0,1]) for bins provided by IBayerHistogram interface. In case the histogram data provided by IBayerHistogram::getHistogram() is non-linear, this method will return a vector having the same size as histogram (i.e. IBayerHistogram::getBinCount()), and will contain normalized bayer colour values to which the histogram bin of the same index corresponds.

For Example, in case of Non Linear Histogram

IBayerHistogram->getHistogram(&histogram); INonLinearHistogram->getBinValues(&values);

for(int i = 0 ; i < histogram.size() ; i++) { cout<<" bin: " << i <<" normalized bin Value: " << values[i] <<" frequency: " << histogram[i]; }

static const InterfaceID& Argus::Ext::INonLinearHistogram::id | ( |  | ) |
| inline static

Definition at line 77 of file NonLinearHistogram.h.

The documentation for this class was generated from the following file:

- include/Argus/Ext/NonLinearHistogram.h